From 555a4545460f3086fd69ca95ac41f18c6ceaab80 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 19:01:16 -0500
Subject: [PATCH 05/17] avoid shadow vars: tablesync.c: slot

backpatch to v15

commit 923def9a533a7d986acfb524139d8b9e5466d0a5
Author: Tomas Vondra <tomas.vondra@postgresql.org>
Date:   Sat Mar 26 00:45:21 2022 +0100

    Allow specifying column lists for logical replication
---
 src/backend/replication/logical/tablesync.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/backend/replication/logical/tablesync.c b/src/backend/replication/logical/tablesync.c
index 95d1081f4ec..5bb9b545e9a 100644
--- a/src/backend/replication/logical/tablesync.c
+++ b/src/backend/replication/logical/tablesync.c
@@ -759,7 +759,6 @@ fetch_remote_table_info(char *nspname, char *relname,
 	if (walrcv_server_version(LogRepWorkerWalRcvConn) >= 150000)
 	{
 		WalRcvExecResult *pubres;
-		TupleTableSlot *slot;
 		Oid			attrsRow[] = {INT2VECTOROID};
 		StringInfoData pub_names;
 
-- 
2.17.1

